
Application: gvSIG desktop - gvSIG bugs #4551
gvSIG 2.4 crash on start
07/21/2017 11:25 AM - Andrea Antonello

Status: Invalid % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.4.0-2829 (rev. org.gvsig.desktop-2.0.195)
Severity: Blocker Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Downloaded gvSIG-desktop-2.4.0-2827 for ubuntu.

I am on:

Distributor ID:    Ubuntu
Description:    Ubuntu 16.04.2 LTS
Release:    16.04
Codename:    xenial

which is not 14 as defined in the download area. But I assume it should at least start.

I attach the log of the crash.

History
#1 - 07/21/2017 11:42 AM - Andrea Antonello

I confirm that the generic linux version instead starts.

#2 - 07/21/2017 11:56 AM - Álvaro Anguix
- Target version set to 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206)

#3 - 07/24/2017 11:16 AM - Joaquín  del Cerro Murciano
- Operative System set to Linux

Hello Andrea.
In gvSIG 2.3, we created a special gvSIG version for Ubuntu 16.04 because we had problems with the native versions of the version for "linux" in
general.

With gvSIG 2.4 we have changed the criteria.
We have created a version for ubuntu 14.04 with the native ones for that version, and adapted the one of "linux" so that it works in ubuntus 16.04 and
following.
From what I see in the log you should have installed the gvSIG version:
gvSIG-desktop-2.4.0-2827-testing-lin_ubuntu_14.04-x86_64-standard.run

For your system, "Ubuntu 16.04.2 LTS", the correct would be:
gvSIG-desktop-2.4.0-2827-testing-lin-x86_64-standard.run

a greeting
Joaquin

Hola Andrea.
En gvSIG 2.3, creamos una version de gvSIG especial para Ubuntu 16.04 por que 
teniamos problemas con las versiones de las nativas que llevaba la version para 
"linux" en general.

Con gvSIG 2.4 hemos cambiado el criterio.
Hemos creado una version para ubuntu 14.04 con las nativas para esa version, y adaptado
la de "linux" para que funcione en ubuntus 16.04 y siguientes.

Por lo que veo en el log has debido instalar la version de gvSIG:
gvSIG-desktop-2.4.0-2827-testing-lin_ubuntu_14.04-x86_64-standard.run

para tu sistema, "Ubuntu 16.04.2 LTS", la correcta seria:
gvSIG-desktop-2.4.0-2827-testing-lin-x86_64-standard.run

Un saludo
Joaquin

#4 - 07/24/2017 11:22 AM - Andrea Antonello

Hola Joaquin,
ok, then everything looks good. I confirm that the linux version works well. Thanks.

#5 - 07/24/2017 01:25 PM - Álvaro Anguix
- Status changed from New to Invalid

#6 - 07/26/2017 01:08 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2829 (rev. org.gvsig.desktop-2.0.195)

Files
gvSIG.log 473 KB 07/21/2017 Andrea Antonello

05/07/2024 2/2


